Subject: Re: linux-next: manual merge of the vfs tree with Linus' tree

From: Al Viro <[email-masked]>
Date: Mon, 9 Jan 2012 02:14:16 +0000

On Mon, Jan 09, 2012 at 12:11:33PM +1100, Stephen Rothwell wrote:
> Hi Al,
> 
> Today's linux-next merge of the vfs tree got a conflict in
> fs/btrfs/super.c between commit 34c80b1d93e6 ("vfs: switch ->show_options
> () to struct dentry *") from Linus' tree and commit 2ddeb2a58b11 ("vfs:
> switch ->show_options() to struct dentry *") from the vfs tree.
> 
> I assume that you sent the correct version to Linus, so I used that.
> Please, if you do change stuff just before sending it to Linus also update
> your for-next branch.
> 
> Then again ... it looks like the vfs tree has other changes to the btrfs
> code so that I need the version from the vfs tree, not Linus' tree ...

btrfs stuff will (hopefully) get picked by Chris.  Until then I've got those
patches in #for-next, rebased on top of what Linus had picked...